libvisio::VSDCharStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions

| VSDCharStyle ()
| VSDCharStyle (unsigned cc, const VSDName &ft, const Colour &c, double s, bool b, bool i, bool u, bool du, bool so, bool dso, bool ac, bool ic, bool sc, bool super, bool sub, double sw)
| VSDCharStyle (const VSDCharStyle &style)=default
| ~VSDCharStyle ()
VSDCharStyle & | operator= (const VSDCharStyle &style)=default
void | override (const VSDOptionalCharStyle &style, const VSDXTheme *)

## Public Attributes

unsigned | charCount
VSDName | font
Colour | colour
double | size
bool | bold
bool | italic
bool | underline
bool | doubleunderline
bool | strikeout
bool | doublestrikeout
bool | allcaps
bool | initcaps
bool | smallcaps
bool | superscript
bool | subscript
double | scaleWidth

## Constructor & Destructor Documentation

## VSDCharStyle() [1/3]

libvisio::VSDCharStyle::VSDCharStyle | ( |  | ) |

inline

Referenced by operator=(), and VSDCharStyle().

## VSDCharStyle() [2/3]

libvisio::VSDCharStyle::VSDCharStyle | ( | unsigned | cc,
|  | const VSDName & | ft,
|  | const Colour & | c,
|  | double | s,
|  | bool | b,
|  | bool | i,
|  | bool | u,
|  | bool | du,
|  | bool | so,
|  | bool | dso,
|  | bool | ac,
|  | bool | ic,
|  | bool | sc,
|  | bool | super,
|  | bool | sub,
|  | double | sw )

inline

## VSDCharStyle() [3/3]

libvisio::VSDCharStyle::VSDCharStyle | ( | const VSDCharStyle & | style | ) |

default

## ~VSDCharStyle()

libvisio::VSDCharStyle::~VSDCharStyle | ( |  | ) |

inline

## Member Function Documentation

## operator=()

VSDCharStyle & libvisio::VSDCharStyle::operator= | ( | const VSDCharStyle & | style | ) |

default

## override()

void libvisio::VSDCharStyle::override | ( | const VSDOptionalCharStyle & | style,
|  | const VSDXTheme * | )

inline

Referenced by libvisio::VSDContentCollector::collectCharIX().

## Member Data Documentation

## allcaps

bool libvisio::VSDCharStyle::allcaps

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## bold

bool libvisio::VSDCharStyle::bold

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## charCount

unsigned libvisio::VSDCharStyle::charCount

Referenced by libvisio::VSDContentCollector::collectCharIX(), VSDCharStyle(), and VSDCharStyle().

## colour

Colour libvisio::VSDCharStyle::colour

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## doublestrikeout

bool libvisio::VSDCharStyle::doublestrikeout

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## doubleunderline

bool libvisio::VSDCharStyle::doubleunderline

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## font

VSDName libvisio::VSDCharStyle::font

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## initcaps

bool libvisio::VSDCharStyle::initcaps

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## italic

bool libvisio::VSDCharStyle::italic

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## scaleWidth

double libvisio::VSDCharStyle::scaleWidth

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## size

double libvisio::VSDCharStyle::size

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## smallcaps

bool libvisio::VSDCharStyle::smallcaps

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## strikeout

bool libvisio::VSDCharStyle::strikeout

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## subscript

bool libvisio::VSDCharStyle::subscript

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## superscript

bool libvisio::VSDCharStyle::superscript

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

## underline

bool libvisio::VSDCharStyle::underline

Referenced by libvisio::VSDContentCollector::_fillCharProperties(), override(), VSDCharStyle(), and VSDCharStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h